<template>
    <table class="table table-bordered bg-white shadow-sm">
        <tbody>
            <tr v-for="(maintenance, key) in maintenances" :key="key" class="align-middle text-center">
                <td>{{ maintenance.maintenanceTypeText }}</td>
                <td>{{ maintenance.maintenanceDate }}</td>
                <td>{{ maintenance.note ?? '' }}</td>
                <td>
                    <div>
                        <Button icon="pi pi-pencil" severity="warning"
                                @click="openMaintenanceEditDialog(maintenance)" class="maintenance-edit-button"/>
                        <Button icon="pi pi-trash" severity="danger"
                                @click="deleteMaintenance(maintenance)"/>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</template>

<script>
import Button from "primevue/button";

export default {
    name: "maintenanceList",
    components: {
        Button
    },
    props: {
        maintenances: {
            type: Array
        }
    },
    emits: ["edit", "delete"],
    methods: {
        openMaintenanceEditDialog(maintenance) {
            this.$emit('edit', maintenance);
        },
        deleteMaintenance(maintenance) {
            this.$emit('delete', maintenance);
        }
    }
}
</script>

<style scoped>

</style>
